# ReproducibleFileVisitor

interface ReproducibleFileVisitor : FileVisitor

Visitor which can request a reproducible file order.

#### Since

3.4

## Functions

isReproducibleFileOrder
Link copied to clipboard
abstract fun isReproducibleFileOrder(): Boolean
Whether the FileVisitor should receive the files in a reproducible order independent of the underlying file system.
visitDir
Link copied to clipboard
abstract fun visitDir(dirDetails: FileVisitDetails)
visitFile
Link copied to clipboard
abstract fun visitFile(fileDetails: FileVisitDetails)